尝试了几个小时才能安装mysql,但由于冲突而失败。

这是一个全新安装的CentOS 8 x64(最新版本),并且已完全更新。 没有安装自定义软件包,这是最小安装。

这是在功能相对强大的专用服务器上,上面没有其他任何东西。

我首先遇到了尝试安装CentOS Web Panel的问题。 在安装和更新之后,这是我在该服务器上所做的唯一一件事。 centos Web面板的失败与我在mysql中遇到的冲突完全相同。 Mysql失败,因为它说已安装mariadb。 但是,即使我删除了mariadb,它仍然会出现相同的问题。

当我尝试直接安装mysql时,也会发生同样的问题。 我能够毫无问题地安装mariadb,甚至也可以将其删除。 但是仍然在安装和删除mariadb之后,由于不存在冲突,mysql仍然拒绝。

# rpm -q centos-release centos-release-8.0-0.1905.0.9.el8..x86_64                 # yum update -y Last metadata expiration check: 0:14:30 ago on Sat 23 Nov 2019 02:12:39 PM EST. Dependencies resolved. Nothing to do. Complete!  

这是我尝试安装时发生的情况

# yum install mysql -y CentOS Web Panel repo for Linux 7 - .x86_64                10 kB/s | 2.9 kB 00:00 CentOS-8 - AppStream3.1 kB/s | 4.3 kB 00:01 CentOS-8 - Base 2.9 kB/s | 3.9 kB 00:01 CentOS-8 - Extras   4.3 kB/s | 1.5 kB 00:00 Extra Packages for Enterprise Linux 8 - .x86_64                15 kB/s |  19 kB 00:01 MariaDB 2.6 kB/s | 2.9 kB 00:01 Dependencies resolved. ================================================================================  Package ArchVersion   Repository  Size ================================================================================ Installing:  mysql   .x86_64                  8.0.17-3.module_el8.0.0+181+899d6349  AppStream   11 M Installing dependencies:  mysql-common.x86_64                  8.0.17-3.module_el8.0.0+181+899d6349  AppStream  143 k  MariaDB-common  .x86_64                  10.1.43-1.el7.centos  mariadb 68 k  Transaction Summary ================================================================================ Install  3 Packages  Total download size: 11 M Installed size: 68 M Downloading Packages: (1/3): mysql-common-8.0.17-3.module_el8.0.0+181 1.3 MB/s | 143 kB 00:00 (2/3): MariaDB-common-10.1.43-1.el7.centos.x86_ 233 kB/s |  68 kB 00:00 (3/3): mysql-8.0.17-3.module_el8.0.0+181+899d63 9.8 MB/s |  11 MB 00:01 -------------------------------------------------------------------------------- Total   7.6 MB/s |  11 MB 00:01 Running transaction check Transaction check succeeded. Running transaction test The downloaded packages were saved in cache until the next successful transaction. You can remove cached packages by executing 'dnf clean packages'. Error: Transaction check error:   file /usr/share/mysql/charsets/Index.xml conflicts between attempted installs of mysql-common-8.0.17-3.module_el8.0.0+181+899d6349..x86_64 and MariaDB-common-10.1.43-1.el7.centos..x86_64   file /usr/share/mysql/charsets/armscii8.xml ... (same)   file /usr/share/mysql/charsets/ascii.xml ...   file /usr/share/mysql/charsets/cp1250.xml ...   file /usr/share/mysql/charsets/cp1251.xml ...   file /usr/share/mysql/charsets/cp1256.xml ...   file /usr/share/mysql/charsets/cp1257.xml ...   file /usr/share/mysql/charsets/cp850.xml ...   file /usr/share/mysql/charsets/cp852.xml ...   file /usr/share/mysql/charsets/cp866.xml ...   file /usr/share/mysql/charsets/dec8.xml ...   file /usr/share/mysql/charsets/geostd8.xml ...   file /usr/share/mysql/charsets/greek.xml ...   file /usr/share/mysql/charsets/hebrew.xml ...   file /usr/share/mysql/charsets/hp8.xml ...   file /usr/share/mysql/charsets/keybcs2.xml ...   file /usr/share/mysql/charsets/koi8r.xml ...   file /usr/share/mysql/charsets/koi8u.xml ...   file /usr/share/mysql/charsets/latin1.xml ...   file /usr/share/mysql/charsets/latin2.xml ...   file /usr/share/mysql/charsets/latin5.xml ...   file /usr/share/mysql/charsets/latin7.xml ...   file /usr/share/mysql/charsets/macce.xml ...   file /usr/share/mysql/charsets/macroman.xml ...   file /usr/share/mysql/charsets/swe7.xml ...  Error Summary -------------  

问题是尚未安装mariadb。 我卸载了它。 甚至尝试重新启动服务器都无济于事。 yum package list未显示要安装的mysql或mariadb。

# yum remove -y mariadb No match for argument: mariadb No packages marked for removal. Dependencies resolved. Nothing to do. Complete!  # rpm -e mariadb error: package mariadb is not installed  # rpm -V mariadb package mariadb is not installed  # yum remove mysql -y No match for argument: mysql No packages marked for removal. Dependencies resolved. Nothing to do. Complete!  # yum remove mysql-common No match for argument: mysql-common No packages marked for removal. Dependencies resolved. Nothing to do. Complete!  # package-cleanup --cleandupes Last metadata expiration check: 0:07:50 ago on Sat 23 Nov 2019 02:12:39 PM EST. Error: No duplicated packages found for removal.  # dnf clean packages 0 files removed  # yum list installed | grep mariadb #  # yum list installed | grep mysql #  

如您所见,那里什么也没有。 甚至重新启动。 尝试再次安装与上述相同的错误。

这是我的完整包裹清单:

~# yum list installed Installed Packages NetworkManager..x86_64       NetworkManager-libnm..x86_64         NetworkManager-team..x86_64      NetworkManager-tui..x86_64       PackageKit..x86_64       PackageKit-glib..x86_64      acl..x86_64      adcli..x86_64        apr..x86_64      apr-util..x86_64         at..x86_64       attr..x86_64         audit..x86_64        audit-libs..x86_64       authselect..x86_64       authselect-compat..x86_64        authselect-libs..x86_64      avahi-libs..x86_64 basesystem.noarch11-5.el8 bash..x86_64 bash-completion.noarch   1:2.7-5.el8  bc..x86_64       bind-export-libs..x86_64         bind-libs..x86_64        bind-libs-lite..x86_64 bind-license.noarch  32:9.11.4-17.P2.el8_0.1  @AppStream bind-utils..x86_64       binutils..x86_64         biosdevname..x86_64      blktrace..x86_64         bpftool..x86_64      brotli..x86_64       bzip2..x86_64        bzip2-libs..x86_64       c-ares..x86_64 ca-certificates.noarch   2018.2.24-6.el8  cairo..x86_64        cairo-gobject..x86_64        centos-logos..x86_64         centos-release..x86_64       checkpolicy..x86_64      chkconfig..x86_64        chrony..x86_64       cockpit..x86_64      cockpit-bridge..x86_64 cockpit-packagekit.noarch184.1-1.el8  cockpit-system.noarch185.1-1.el8_0  cockpit-ws..x86_64       compat-openssl10..x86_64         coreutils..x86_64        coreutils-common..x86_64         cpio..x86_64         cracklib..x86_64         cracklib-dicts..x86_64       cronie..x86_64       cronie-anacron..x86_64 crontabs.noarc crypto-policies.noarch cryptsetup..x86_64       cryptsetup-libs..x86_64      cups-libs..x86_64        curl..x86_64         cwp-httpd..x86_64        cwp-suphp..x86_64        cyrus-sasl-gssapi..x86_64        cyrus-sasl-lib..x86_64       cyrus-sasl-plain..x86_64         dbus..x86_64 dbus-common.noarch   1:1.12.8-7.el8   dbus-daemon..x86_64      dbus-glib..x86_64        dbus-libs..x86_64        dbus-tools..x86_64 dejavu-fonts-common.noarch   2.35-6.el8    dejavu-sans-fonts.noarch 2.35-6.el8   desktop-file-utils..x86_64       device-mapper..x86_64        device-mapper-event..x86_64      device-mapper-event-libs..x86_64         device-mapper-libs..x86_64       device-mapper-persistent-data..x86_64        dhcp-client..x86_64 dhcp-common.noarch   12:4.3.6-30.el8  dhcp-libs..x86_64        diffutils..x86_64        dmidecode..x86_64 dnf.noarch dnf-data.noarch dnf-plugin-spacewalk.noarch dnf-plugins-core.noarch dnf-utils.noarch dos2unix..x86_64         dosfstools..x86_64       dracut..x86_64       dracut-config-rescue..x86_64         dracut-network..x86_64       dracut-squash..x86_64        dwz..x86_64      e2fsprogs..x86_64        e2fsprogs-libs..x86_64       ed..x86_64 efi-srpm-macros.noarch   3-2.el8  elfutils-default-yama-scope.noarch   0.174-6.el8  elfutils-libelf..x86_64      elfutils-libs..x86_64 emacs-filesystem.noarch  1:26.1-5.el8  epel-release.noarch  8-7.el8  @epel ethtool..x86_64      expat..x86_64        file..x86_64         file-libs..x86_64        filesystem..x86_64       findutils..x86_64        fipscheck..x86_64        fipscheck-lib..x86_64 firewalld.noarch firewalld-filesystem.noarch fontconfig..x86_64 fontpackages-filesystem.noarch fprintd..x86_64      fprintd-pam..x86_64      freetype..x86_64         fuse-libs..x86_64        gawk..x86_64         gdbm..x86_64         gdbm-libs..x86_64        gdk-pixbuf2..x86_64 geolite2-city.noarch 20180605-1.el8   geolite2-country.noarch  20180605-1.el8  gettext..x86_64      gettext-libs..x86_64 ghc-srpm-macros.noarch   1.4.2-7.el8 glib-networking..x86_64      glib2..x86_64        glibc..x86_64        glibc-common..x86_64         glibc-langpack-en..x86_64        gmp..x86_64      gnupg2..x86_64       gnupg2-smime..x86_64         gnutls..x86_64 go-srpm-macros.noarch2-16.el8 gobject-introspection..x86_64        gpgme..x86_64        gpm-libs..x86_64         grep..x86_64         groff-base..x86_64 grub2-common.noarch grub2-pc..x86_64 grub2-pc-modules.noarch grub2-tools..x86_64      grub2-tools-efi..x86_64      grub2-tools-extra..x86_64        grub2-tools-minimal..x86_64      grubby..x86_64       gsettings-desktop-schemas..x86_64        gzip..x86_64         hardlink..x86_64         hdparm..x86_64       hostname..x86_64 hwdata.noarch0.314-8.0.el8 ima-evm-utils..x86_64        info..x86_64         initscripts..x86_64 insights-client.noarch   3.0.5-4.el8 ipcalc..x86_64       iproute..x86_64      iprutils..x86_64         ipset..x86_64        ipset-libs..x86_64       iptables..x86_64         iptables-ebtables..x86_64        iptables-libs..x86_64        iptstate..x86_64         iputils..x86_64      irqbalance..x86_64 iwl100-firmware.noarch   iwl1000-firmware.noarch  iwl105-firmware.noarch iwl135-firmware.noarch  iwl2000-firmware.noarch  18.168.6.1-92.el8.1  @anaconda iwl2030-firmware.noarch  18.168.6.1-92.el8.1  @anaconda iwl3160-firmware.noarch  1:25.30.13.0-92.[email protected] iwl3945-firmware.noarch  15.32.2.9-92.el8.1   @anaconda iwl4965-firmware.noarch  228.61.2.24-92.el8.1 @anaconda iwl5000-firmware.noarch  8.83.5.1_1-92.el8.1  @anaconda iwl5150-firmware.noarch  8.24.2.2-92.el8.1 iwl6000-firmware.noarch  9.221.4.1-92.el8.1   @anaconda iwl6000g2a-firmware.noarch   18.168.6.1-92.el8.1  @anaconda iwl6050-firmware.noarch  41.28.5.1-92.el8.1   @anaconda iwl7260-firmware.noarch  1:[email protected] jansson..x86_64      json-c..x86_64       json-glib..x86_64        kbd..x86_64 kbd-legacy.noarch2.0.4-8.el8   kbd-misc.noarch  2.0.4-8.el8  kernel..x86_64       kernel..x86_64       kernel-core..x86_64      kernel-core..x86_64      kernel-modules..x86_64       kernel-modules..x86_64       kernel-tools..x86_64         kernel-tools-libs..x86_64        kexec-tools..x86_64      keyutils-libs..x86_64        kmod..x86_64         kmod-kvdo..x86_64        kmod-libs..x86_64        kpartx..x86_64 kpatch.noarch0.6.1-1.el8  krb5-libs..x86_64 langpacks-en.noarch  1.0-12.el8  ledmon..x86_64       less..x86_64         libX11..x86_64 libX11-common.noarch 1.6.7-1.el8 libXau..x86_64       libXext..x86_64      libXrender..x86_64       libacl..x86_64       libaio..x86_64       libappstream-glib..x86_64        libarchive..x86_64       libassuan..x86_64        libattr..x86_64      libbasicobjects..x86_64      libblkid..x86_64         libcap..x86_64       libcap-ng..x86_64        libcollection..x86_64        libcom_err..x86_64       libcomps..x86_64         libconfig..x86_64        libcroco..x86_64         libcurl..x86_64      libdaemon..x86_64        libdb..x86_64        libdb-utils..x86_64      libdhash..x86_64         libdnf..x86_64       libedit..x86_64      libestr..x86_64      libevent..x86_64         libfastjson..x86_64      libfdisk..x86_64         libffi..x86_64       libfprint..x86_64        libgcc..x86_64       libgcrypt..x86_64        libgomp..x86_64      libgpg-error..x86_64         libgudev..x86_64         libidn2..x86_64      libini_config..x86_64        libipa_hbac..x86_64      libkcapi..x86_64         libkcapi-hmaccalc..x86_64        libksba..x86_64      libldb..x86_64       libmaxminddb..x86_64         libmetalink..x86_64      libmnl..x86_64       libmodman..x86_64        libmodulemd1..x86_64         libmount..x86_64         libndp..x86_64       libnetfilter_conntrack..x86_64       libnfnetlink..x86_64         libnfsidmap..x86_64      libnftnl..x86_64         libnghttp2..x86_64       libnl3..x86_64       libnl3-cli..x86_64       libnsl2..x86_64      libpath_utils..x86_64        libpcap..x86_64      libpipeline..x86_64      libpkgconf..x86_64       libpng..x86_64       libpq..x86_64        libproxy..x86_64         libpsl..x86_64       libpwquality..x86_64         libref_array..x86_64         librelp..x86_64      librepo..x86_64      libreport-filesystem..x86_64         libseccomp..x86_64       libsecret..x86_64        libselinux..x86_64       libselinux-utils..x86_64         libsemanage..x86_64      libsepol..x86_64         libsigsegv..x86_64       libsmartcols..x86_64         libsmbclient..x86_64         libsolv..x86_64      libsoup..x86_64      libss..x86_64        libssh..x86_64       libsss_autofs..x86_64        libsss_certmap..x86_64       libsss_idmap..x86_64         libsss_nss_idmap..x86_64         libsss_sudo..x86_64      libstdc++..x86_64        libstemmer..x86_64       libstoragemgmt..x86_64       libsysfs..x86_64         libtalloc..x86_64        libtasn1..x86_64         libtdb..x86_64       libteam..x86_64      libtevent..x86_64        libtirpc..x86_64         libunistring..x86_64         libusbx..x86_64      libuser..x86_64      libutempter..x86_64      libuuid..x86_64      libverto..x86_64         libwbclient..x86_64      libxcb..x86_64       libxcrypt..x86_64        libxkbcommon..x86_64         libxml2..x86_64      libyaml..x86_64 linux-firmware.noarch20190111-92.gitd9fb2ee6.el8  @anaconda logrotate..x86_64        lshw..x86_64         lsof..x86_64         lsscsi..x86_64       lua-libs..x86_64         lvm2..x86_64         lvm2-libs..x86_64        lz4-libs..x86_64         lzo..x86_64 mailcap.noarch   2.1.48-3.el8 make..x86_64         man-db..x86_64       man-pages..x86_64        mcelog..x86_64       mdadm..x86_64        microcode_ctl..x86_64        mlocate..x86_64      mozjs52..x86_64      mpfr..x86_64         mtr..x86_64      nano..x86_64         ncurses..x86_64 ncurses-base.noarch  6.1-7.20180224.el8   @anaconda ncurses-libs..x86_64         net-tools..x86_64        nettle..x86_64       newt..x86_64         nftables..x86_64         nmap-ncat..x86_64        npth..x86_64         nspr..x86_64         nss..x86_64      nss-softokn..x86_64      nss-softokn-freebl..x86_64       nss-sysinit..x86_64      nss-util..x86_64         numactl-libs..x86_64 ocaml-srpm-macros.noarch 5-4.el8  openblas-srpm-macros.noarch  2-2.el8 openldap..x86_64         openssh..x86_64      openssh-clients..x86_64      openssh-server..x86_64       openssl..x86_64      openssl-libs..x86_64         openssl-pkcs11..x86_64       os-prober..x86_64        p11-kit..x86_64      p11-kit-trust..x86_64        p7zip..x86_64        p7zip-plugins..x86_64        pam..x86_64      parted..x86_64       passwd..x86_64       pciutils..x86_64         pciutils-libs..x86_64        pcre..x86_64         pcre2..x86_64        perl..x86_64 perl-Algorithm-Diff.noarch   1.1903-9.el8 perl-Archive-Tar.noarch  2.30-1.el8   perl-Archive-Zip.noarch  1.60-3.el8   perl-Attribute-Handlers.noarch   0.99-416.el8 perl-B-Debug.noarch  1.26-2.el8   perl-CPAN.noarch 2.18-397.el8 perl-CPAN-Meta.noarch2.150010-396.el8 perl-CPAN-Meta-Requirements.noarch   2.140-396.el8    perl-CPAN-Meta-YAML.noarch   0.018-397.el8    perl-Carp.noarch 1.42-396.el8   perl-Compress-Bzip2..x86_64      perl-Compress-Raw-Bzip2..x86_64      perl-Compress-Raw-Zlib..x86_64 perl-Config-Perl-V.noarch0.30-1.el8  perl-DB_File..x86_64         perl-Data-Dumper..x86_64 perl-Data-OptList.noarch 0.110-6.el8  perl-Data-Section.noarch 0.200007-3.el8  perl-Devel-PPPort..x86_64        perl-Devel-Peek..x86_64 perl-Devel-SelfStubber.noarch1.06-416.el8 perl-Devel-Size..x86_64 perl-Digest.noarch   1.17-395.el8 perl-Digest-MD5..x86_64      perl-Digest-SHA..x86_64      perl-Encode..x86_64 perl-Encode-Locale.noarch1.05-9.el8  perl-Encode-devel..x86_64 perl-Env.noarch  1.04-395.el8 perl-Errno..x86_64 perl-Exporter.noarch 5.72-396.el8    perl-ExtUtils-CBuilder.noarch1:0.280230-2.el8 perl-ExtUtils-Command.noarch 1:7.34-1.el8 perl-ExtUtils-Embed.noarch   1.34-416.el8 perl-ExtUtils-Install.noarch 2.14-4.el8   perl-ExtUtils-MM-Utils.noarch1:7.34-1.el8 perl-ExtUtils-MakeMaker.noarch   1:7.34-1.el8 perl-ExtUtils-Manifest.noarch1.70-395.el8 perl-ExtUtils-Miniperl.noarch1.06-416.el8 perl-ExtUtils-ParseXS.noarch 1:3.35-2.el8 perl-File-Fetch.noarch   0.56-2.el8   perl-File-HomeDir.noarch 1.002-4.el8  perl-File-Path.noarch2.15-2.el8  perl-File-Temp.noarch0.230.600-1.el8 perl-File-Which.noarch   1.22-2.el8  perl-Filter..x86_64 perl-Filter-Simple.noarch0.94-2.el8   perl-Getopt-Long.noarch  1:2.50-4.el8    perl-HTTP-Tiny.noarch0.074-1.el8 perl-IO..x86_64 perl-IO-Compress.noarch  2.081-1.el8  perl-IO-Socket-IP.noarch 0.39-5.el8   perl-IO-Socket-SSL.noarch2.060-2.el8  perl-IO-Zlib.noarch  1:1.10-416.el8   perl-IPC-Cmd.noarch  2:1.02-1.el8 perl-IPC-SysV..x86_64 perl-IPC-System-Simple.noarch1.25-17.el8  perl-JSON-PP.noarch  1:2.97.001-3.el8 perl-Locale-Codes.noarch 3.57-1.el8   perl-Locale-Maketext.noarch  1.28-396.el8 perl-Locale-Maketext-Simple.noarch   1:0.21-416.el8  perl-MIME-Base64..x86_64 perl-MRO-Compat.noarch   0.13-4.el8   perl-Math-BigInt.noarch  1:1.9998.11-5.el8  perl-Math-BigInt-FastCalc..x86_64 perl-Math-BigRat.noarch  0.2614-1.el8 perl-Math-Complex.noarch 1.59-416.el8    perl-Memoize.noarch  1.03-416.el8 perl-Module-Build.noarch 2:0.42.24-5.el8  perl-Module-CoreList.noarch  1:5.20181130-1.el8 perl-Module-CoreList-tools.noarch1:5.20181130-1.el8 perl-Module-Load.noarch  1:0.32-395.el8   perl-Module-Load-Conditional.noarch  0.68-395.el8 perl-Module-Loaded.noarch1:0.08-416.el8   perl-Module-Metadata.noarch  1.000033-395.el8 perl-Mozilla-CA.noarch   20160104-7.el8   perl-Net-Ping.noarch 2.55-416.el8 perl-Net-SSLeay..x86_64 perl-Package-Generator.noarch1.106-11.el8 perl-Params-Check.noarch 1:0.38-395.el8  perl-Params-Util..x86_64         perl-PathTools..x86_64 perl-Perl-OSType.noarch  1.010-396.el8    perl-PerlIO-via-QuotedPrint.noarch   0.08-395.el8 perl-Pod-Checker.noarch  4:1.73-395.el8   perl-Pod-Escapes.noarch  1:1.07-395.el8  perl-Pod-Html.noarch 1.22.02-416.el8  perl-Pod-Parser.noarch   1.63-396.el8 perl-Pod-Perldoc.noarch  3.28-396.el8    perl-Pod-Simple.noarch   1:3.35-395.el8  perl-Pod-Usage.noarch4:1.69-395.el8 perl-Scalar-List-Utils..x86_64 perl-SelfLoader.noarch   1.23-416.el8 perl-Socket..x86_64 perl-Software-License.noarch 0.103013-2.el8  perl-Storable..x86_64 perl-Sub-Exporter.noarch 0.987-15.el8 perl-Sub-Install.noarch  0.928-14.el8 perl-Sys-Syslog..x86_64 perl-Term-ANSIColor.noarch   4.06-396.el8    perl-Term-Cap.noarch 1.17-395.el8   perl-TermReadKey..x86_64 perl-Test.noarch 1.30-416.el8 perl-Test-Harness.noarch 1:3.42-1.el8 perl-Test-Simple.noarch  1:1.302135-1.el8 perl-Text-Balanced.noarch2.03-395.el8 perl-Text-Diff.noarch1.45-2.el8   perl-Text-Glob.noarch0.11-4.el8   perl-Text-ParseWords.noarch  3.30-395.el8    perl-Text-Tabs+Wrap.noarch   2013.0523-395.el8   perl-Text-Template.noarch1.51-1.el8   perl-Thread-Queue.noarch 3.13-1.el8  perl-Time-HiRes..x86_64 perl-Time-Local.noarch   1:1.280-1.el8  perl-Time-Piece..x86_64 perl-URI.noarch  1.73-3.el8  perl-Unicode-Collate..x86_64         perl-Unicode-Normalize..x86_64 perl-autodie.noarch  2.29-396.el8 perl-bignum.noarch   0.49-2.el8   perl-constant.noarch 1.33-396.el8   perl-devel..x86_64       perl-encoding..x86_64 perl-experimental.noarch 0.019-2.el8  perl-inc-latest.noarch   2:0.500-9.el8   perl-interpreter..x86_64 perl-libnet.noarch   3.11-3.el8   perl-libnetcfg.noarch4:5.26.3-416.el8 perl-libs..x86_64 perl-local-lib.noarch2.000024-2.el8  perl-macros..x86_64 perl-open.noarch 1.11-416.el8 perl-parent.noarch   1:0.237-1.el8   perl-perlfaq.noarch  5.20180605-1.el8 perl-podlators.noarch4.11-1.el8  perl-srpm-macros.noarch  1-25.el8 perl-threads..x86_64         perl-threads-shared..x86_64 perl-utils.noarch5.26.3-416.el8  perl-version..x86_64         pigz..x86_64         pinentry..x86_64         pinfo..x86_64        pixman..x86_64       pkgconf..x86_64 pkgconf-m4.noarch1.4.2-1.el8  pkgconf-pkg-config..x86_64       platform-python..x86_64 platform-python-pip.noarch   9.0.3-13.el8  platform-python-setuptools.noarch39.2.0-4.el8 plymouth..x86_64         plymouth-core-libs..x86_64       plymouth-scripts..x86_64         policycoreutils..x86_64 policycoreutils-python-utils.noarch  2.8-16.1.el8 polkit..x86_64       polkit-libs..x86_64      polkit-pkla-compat..x86_64       popt..x86_64         prefixdevname..x86_64        procps-ng..x86_64        psacct..x86_64 publicsuffix-list-dafsa.noarch   20180723-1.el8    python-srpm-macros.noarch3-37.el8 python3-asn1crypto.noarch0.24.0-3.el8 python3-audit..x86_64 python3-bind.noarch  32:9.11.4-17.P2.el8_0.1  @AppStream python3-cairo..x86_64        python3-cffi..x86_64 python3-chardet.noarch   3.0.4-7.el8   python3-configobj.noarch 5.0.6-11.el8 python3-cryptography..x86_64 python3-dateutil.noarch  1:2.6.1-6.el8 python3-dbus..x86_64 python3-decorator.noarch 4.2.1-2.el8  python3-dmidecode..x86_64 python3-dnf.noarch   4.0.9.2-5.el8 python3-dnf-plugin-spacewalk.noarch  2.8.5-11.module_el8.0.0+180+337688dc  python3-dnf-plugins-core.noarch  4.0.2.2-3.el8 python3-firewall.noarch  0.6.3-7.el8  python3-gobject..x86_64      python3-gobject-base..x86_64         python3-gpg..x86_64      python3-hawkey..x86_64 python3-hwdata.noarch2.3.6-3.el8  python3-idna.noarch  2.5-5.el8 python3-iniparse.noarch  0.4-31.el8   python3-libcomps..x86_64         python3-libdnf..x86_64       python3-librepo..x86_64      python3-libs..x86_64         python3-libselinux..x86_64       python3-libsemanage..x86_64 python3-libstoragemgmt.noarch1.6.2-9.el8  python3-libstoragemgmt-clibs..x86_64         python3-libxml2..x86_64 python3-linux-procfs.noarch  0.6-6.el8 python3-magic.noarch 5.33-8.el8   python3-netifaces..x86_64        python3-newt..x86_64         python3-perf..x86_64 python3-ply.noarch   3.9-7.el8 python3-policycoreutils.noarch   2.8-16.1.el8  python3-pyOpenSSL.noarch 18.0.0-1.el8 python3-pycparser.noarch 2.14-14.el8   python3-pyparsing.noarch 2.1.10-7.el8    python3-pysocks.noarch   1.6.8-3.el8   python3-pyudev.noarch0.21.0-7.el8 python3-pyyaml..x86_64 python3-requests.noarch  2.20.0-1.el8 python3-rhn-client-tools..x86_64  python3-rhnlib.noarch2.8.6-8.module_el8.0.0+180+337688dc  python3-rpm..x86_64 python3-rpm-macros.noarch3-37.el8 python3-schedutils..x86_64       python3-setools..x86_64 python3-six.noarch   1.11.0-8.el8  python3-slip.noarch  0.6.4-11.el8  python3-slip-dbus.noarch 0.6.4-11.el8  python3-sssdconfig.noarch2.0.0-43.el8_0.3   python3-syspurpose..x86_64       python3-systemd..x86_64      python3-unbound..x86_64 python3-urllib3.noarch   1.23-5.el8    qt5-srpm-macros.noarch   5.11.1-2.el8 quota..x86_64 quota-nls.noarch 1:4.04-10.el8 readline..x86_64         realmd..x86_64 redhat-rpm-config.noarch 116-1.el8.0.1   rhn-client-tools..x86_64  rng-tools..x86_64 rootfiles.noarch 8.1-22.el8   rpm..x86_64      rpm-build-libs..x86_64       rpm-libs..x86_64         rpm-plugin-selinux..x86_64       rpm-plugin-systemd-inhibit..x86_64       rsync..x86_64        rsyslog..x86_64      rsyslog-gnutls..x86_64       rsyslog-gssapi..x86_64       rsyslog-relp..x86_64 rust-srpm-macros.noarch  5-2.el8 samba-client-libs..x86_64 samba-common.noarch  4.9.1-8.el8  samba-common-libs..x86_64        screen..x86_64       sed..x86_64 selinux-policy.noarch3.14.1-61.el8_0.2   selinux-policy-targeted.noarch   3.14.1-61.el8_0.2   setroubleshoot-plugins.noarch3.3.10-1.el8 setroubleshoot-server..x86_64 setup.noarch 2.12.2-2.el8   sg3_utils..x86_64        sg3_utils-libs..x86_64       shadow-utils..x86_64         shared-mime-info..x86_64         slang..x86_64        smartmontools..x86_64        snappy..x86_64 sos.noarch   3.6-10.el8_0.3 sqlite..x86_64       sqlite-libs..x86_64      squashfs-tools..x86_64       sscg..x86_64         sssd..x86_64         sssd-ad..x86_64      sssd-client..x86_64      sssd-common..x86_64      sssd-common-pac..x86_64      sssd-ipa..x86_64         sssd-kcm..x86_64         sssd-krb5..x86_64        sssd-krb5-common..x86_64         sssd-ldap..x86_64        sssd-nfs-idmap..x86_64       sssd-proxy..x86_64       strace..x86_64       sudo..x86_64         symlinks..x86_64         systemd..x86_64      systemd-libs..x86_64         systemd-pam..x86_64      systemd-udev..x86_64         systemtap-sdt-devel..x86_64      tar..x86_64      tcpdump..x86_64      teamd..x86_64        time..x86_64         timedatex..x86_64        tree..x86_64         trousers..x86_64         trousers-lib..x86_64 tuned.noarch 2.10.0-15.el8 tzdata.noarch2019a-1.el8  unbound-libs..x86_64         unzip..x86_64        usbutils..x86_64         util-linux..x86_64       util-linux-user..x86_64      vdo..x86_64      vim-common..x86_64       vim-enhanced..x86_64 vim-filesystem.noarch2:8.0.1763-10.el8 vim-minimal..x86_64      virt-what..x86_64        wget..x86_64         which..x86_64 words.noarch 3.0-28.el8    xdg-utils.noarch 1.1.2-5.el8 xfsdump..x86_64      xfsprogs..x86_64 xkeyboard-config.noarch  2.24-3.el8  xz..x86_64       xz-libs..x86_64 yum.noarch   4.0.9.2-5.el8 zip..x86_64      zlib..x86_64  

此外,未安装mariadb-libs。

# yum remove mariadb-libs -y No match for argument: mariadb-libs No packages marked for removal. Dependencies resolved. Nothing to do. Complete! 

因此,与另一个提出该问题的问题不同,删除maria-libs不是解决方案。

还尝试删除任何无关的文件/文件夹。

rm -f /var/log/mariadb rm -f /var/log/mariadb/mariadb.log.rpmsave rm -rf /var/lib/mysql  rm -rf /usr/lib64/mysql  rm -rf /usr/share/mysql  

没运气。 即使它不存在并且未安装,也存在同样的错误。


最后尝试:尝试重新安装mariadb进行安装也失败

最后,我尝试了另一件事,就是完成所有这些之后,然后尝试安装mariadb ,然后尝试安装mysql,

~# yum install mariadb -y Last metadata expiration check: 0:02:02 ago on Sat 23 Nov 2019 02:51:37 PM EST. Dependencies resolved.  ...  Installed:   mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64   mariadb-common-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64   mariadb-connector-c-3.0.7-1.el8.x86_64   MariaDB-common-10.1.43-1.el7.centos.x86_64  Complete! 

而且mariadb可以很好地安装,但是mysql仍然没有安装。 它给出了一个不同的错误,但这是因为在这种情况下安装了mariadb。 如果我再次删除mariadb,则会再次出现上述原始错误。

# yum install mysql -y Last metadata expiration check: 0:02:18 ago on Sat 23 Nov 2019 02:51:37 PM EST. Error:  Problem: problem with installed package mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64   - package mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 conflicts with mysql provided by mysql-8.0.17-3.module_el8.0.0+181+899d6349.x86_64   - package mysql-8.0.17-3.module_el8.0.0+181+899d6349.x86_64 conflicts with mariadb provided by mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64   - conflicting requests   - package MariaDB-client-10.1.40-1.el7.centos.x86_64 is excluded   - package MariaDB-client-10.1.41-1.el7.centos.x86_64 is excluded   - package MariaDB-client-10.1.43-1.el7.centos.x86_64 is excluded (try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages) # 

我也尝试了--nobest标志,但是什么也没做,我尝试了--skip-broken标志,但是由于它认为它已损坏,因此没有安装任何东西。

我也尝试安装mysql-server但也没有运气。

# yum install mysql-server Last metadata expiration check: 0:04:49 ago on Sat 23 Nov 2019 02:51:37 PM EST. Error:  Problem: problem with installed package mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64   - package mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 conflicts with mysql provided by mysql-8.0.17-3.module_el8.0.0+181+899d6349.x86_64   - package mysql-8.0.17-3.module_el8.0.0+181+899d6349.x86_64 conflicts with mariadb provided by mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64   - package mysql-server-8.0.17-3.module_el8.0.0+181+899d6349.x86_64 requires mysql(x86-64), but none of the providers can be installed   - conflicting requests   - package mysql-8.0.13-1.module_el8.0.0+41+ca30bab6.x86_64 is excluded   - package MariaDB-client-10.1.40-1.el7.centos.x86_64 is excluded   - package MariaDB-client-10.1.41-1.el7.centos.x86_64 is excluded   - package MariaDB-client-10.1.43-1.el7.centos.x86_64 is excluded # 

请帮我解决这个问题,谢谢。

===============>>#1 票数:0

尝试使用以下命令安装mysql-server:yum install mysql-server

  ask by sdfkl translate from so

本文未有回复,本站智能推荐: